
Core - Bug # 53619

Status: New Priority: Must have
Author: Andi Peh Category: Workspaces
Created: 2013-11-13 Assigned To:
Updated: 2015-01-23 Due date:
TYPO3 Version: 4.5
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: Moving Elements in draft - now my live is a mess
Description

when moving content elements in DRAFT workspace (copy, drag, cut+paste, delete, etc.) there is a certain moment, when the
content-icon is showing the following label when hovering:

id=xxxx NEW LOCATION (PLH) WSID#0

trying to move this item, produces duplicates of this element in draft preview (reproduced on 4.5 and 4.7)
ALSO it is resulting in changing the LIVE workspace. (reproduced on 4.5 and 4.7 and 6.1 at demo.typo3.org)
The change goes without any confirmed change log entries in the versioning.

Please note: this is all done in DRAFT workspace - our users do not even have access to publish.
Steps to reproduce:
    -  goto http://demo.typo3.org/introduction/typo3 - add a draft workspace.
    -  create a page with at least 2 content elements in 2 different columns (in LIVE ws) - or use existing start page
    -  switch to DRAFT
    -  cut-out one element
    -  paste in after itself (result will be having a label: "id=xxxx NEW LOCATION (PLH) WSID#1" )
    -  cut-out the other element and post it after itself as well
    -  now delete the first element (label will change to: "id=xxxx NEW LOCATION (PLH) WSID#0" )
    -  AND: instead of removing it - there will be a second element having the same id
    -  cut out the element having the label ".. WSID#0" 
    -  and paste it after the element with label: ".. WSID#1" 
    -  see LIVE page for results :\ (within the next 30min: http://introduction.typo3cms.demo.typo3.org/)

This can be reproduced back to version 4.5.25 (also tried 4.7.1 and whatever is running on demo.typo3.org)

Related issues:
related to Core - Bug # 39383: Cannot delete record moved in draft Under Review 2012-07-30
related to Core - Task # 55573: Failing moveContentRecordToDifferentPageAndCh... Resolved 2014-02-02

History
#1 - 2013-12-10 00:58 - Michael Stucki
- Category changed from Bugs to Workspaces

#2 - 2013-12-10 00:59 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#3 - 2014-03-24 15:40 - Oliver Hader
- Is Regression set to No
http://demo.typo3.org/introduction/typo3
http://introduction.typo3cms.demo.typo3.org/


Sounds like issue #55573 (which has been solved for TYPO3 6.2 and could be considered for back-porting)

#4 - 2015-01-23 11:33 - Mathias Schreiber
- Target version set to 7.5
